#include "gdexample.h"


namespace godot {

#pragma region GodotRT
void GDExample::_register_methods()
{
	register_method("_process", &GDExample::_process);
}

void GDExample::_init()
{
	time_passed = 0.f;
}

void GDExample::_process(float delta)
{
	time_passed += delta;

	Vector2 
 	newPos = Vector2(
		 10.0 + (10.0 * sin(time_passed * 2.0)), 
		 10.0 + (10.0 * cos(time_passed * 1.5))
	);

	set_position(newPos);
}
#pragma endregion GodotRT

GDExample::GDExample() 
{}

GDExample::~GDExample()
{}

}